commit:     9a45f056d3d37179ca5ee6c6d42d123f1aaf0bc7
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 24 08:47:43 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jul 24 08:48:00 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a45f056

media-libs/faac: Bump to version 1.29.3

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 media-libs/faac/Manifest           |  1 +
 media-libs/faac/faac-1.29.3.ebuild | 54 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/media-libs/faac/Manifest b/media-libs/faac/Manifest
index 581e6bb9ce1..14a640f5754 100644
--- a/media-libs/faac/Manifest
+++ b/media-libs/faac/Manifest
@@ -1,2 +1,3 @@
 DIST faac-1.28.tar.gz 678891 SHA256 
c5141199f4cfb17d749c36ba8cfe4b25f838da67c22f0fec40228b6b9c3d19df SHA512 
0ef721ad28835e95cad41afc0cb6130e1ebb634cb6dd4b40f649bc2269b7bb5bf2887f6d8f023c74628d521f8bdf55b4dd070f972ecff162a5fe0384e026235b
 WHIRLPOOL 
fe56f3c2b40670f03e0c1880b253d7f0cc6e318c0b407f4e57fb7eaeac8692c6de9829402e670ddc0f397396935131ade0f8dadfc89b88fcdedecbf404e1b54e
 DIST faac-1.29.2.tar.gz 228886 SHA256 
c7c46b2b98e99e1597233039f7dd3923f2f9aa91d7d84bcac10d73614a369c63 SHA512 
ddcb546b24aa3daf1c0cf0b07597924e32bd86badf4409d715880281062cd9559edee55e27eaf138a41f4a4d15925241c3041965cbc100a6a19a8f62633d1599
 WHIRLPOOL 
6a3c0cf9f385e384e056d2e1db3825cc66a118fd3ba4fff47664e655b928d19b5fb50b414ea6bd7f6202f71aefc8f63de0ca0f4620ec53bce86e2c5c5a3657e7
+DIST faac-1.29.3.tar.gz 224353 SHA256 
cef2897843baf366983ad29f471cd1c4dcc95762b86d283a925514bcc5cf5a3f SHA512 
8c25d6127c90e37bb6ae4ce72ba4dbdd9c9999b9c76de58bba61c106fa33ed9c545462589a97be4bd5bcbd2849a55b7d0fe3ed494b5d92ffee001bba2a3c7b61
 WHIRLPOOL 
da4f898b8ba94956f71372f553a405042a63bc8295af3df2de7a11eece329bf81371a04e1547cda1658ebbd1fd1ccb8d645b118e36bd48592e6f99dd03492189

diff --git a/media-libs/faac/faac-1.29.3.ebuild 
b/media-libs/faac/faac-1.29.3.ebuild
new file mode 100644
index 00000000000..cfae56dc4e8
--- /dev/null
+++ b/media-libs/faac/faac-1.29.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+# eutils for einstalldocs
+inherit autotools epatch epunt-cxx eutils ltprune multilib-minimal
+
+DESCRIPTION="Free MPEG-4 audio codecs by AudioCoding.com"
+HOMEPAGE="http://www.audiocoding.com";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1 MPEG-4"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="static-libs"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+DOCS=( AUTHORS ChangeLog NEWS README TODO )
+
+src_prepare() {
+       default
+
+       sed -i -e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:' configure.ac || die 
#466984
+
+       eautoreconf
+       epunt_cxx
+}
+
+multilib_src_configure() {
+       local myconf=(
+               $(use_enable static-libs static)
+       )
+
+       ECONF_SOURCE="${S}" econf ${myconf[@]}
+
+       # do not build the frontend for non default abis
+       if [ "${ABI}" != "${DEFAULT_ABI}" ] ; then
+               sed -i -e 's/frontend//' Makefile || die
+       fi
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install
+       prune_libtool_files
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       docinto html
+       dodoc docs/*.html
+       insinto /usr/share/doc/${PF}/pdf
+       doins docs/libfaac.pdf
+}

Reply via email to